> For the complete documentation index, see [llms.txt](https://docs.scorepositivo.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scorepositivo.com.br/pessoa-juridica/relatorios-para-cnpj/variaveis-de-credito.md).

# Variáveis de Credito

<table><thead><tr><th width="237">Código</th><th>Tipo</th><th>Observação </th></tr></thead><tbody><tr><td>cnpj-credit-vars-10v</td><td>Síncrono.</td><td>Até 10 variáveis.</td></tr><tr><td>cnpj-credit-vars-20v</td><td>Síncrono</td><td>Até 20 variáveis.</td></tr><tr><td>cnpj-credit-vars-30v</td><td>Síncrono</td><td>Até 30 variáveis.</td></tr><tr><td>cnpj-credit-vars-40v</td><td>Síncrono</td><td>Até 40 variáveis.</td></tr></tbody></table>

### Parâmetros de requisição:

<table><thead><tr><th width="235">Campo</th><th width="549">Descrição</th></tr></thead><tbody><tr><td>report_id</td><td><mark style="color:red;">Obrigatório</mark><br>*Conforme tabela a cima </td></tr><tr><td>document</td><td><mark style="color:red;">Obrigatório</mark><br>CNPJ </td></tr><tr><td>variables</td><td><mark style="color:red;">Obrigatório</mark><br>Lista de variáveis.  <br>Ver seções a seguir: Sacado e Cedente > CCB e Duplicatas.<br></td></tr></tbody></table>

### Exemplo de requisição:

```bash
curl 
--location
--request POST 'https://core.scorepositivo.com.br/api/report' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {bearer_token}' \
--data-raw '{
    "report_id":"cnpj-credit-vars-30v",
    "document":"NUMERO_CNPJ",
    "variables":["atributo_1","atributo_2","atributo_3"] 
   
}'
```

### Exemplo de retorno:

```json
{
   "id":"786b625d-25a1-4357-b350-f4cabd4cb0f9",
   "created_at":"2025-06-23T10:34:00-03:00",
   "report_id":"cnpj-credit-vars-30v",
   "document":"NUMERO_CNPJ",
   "status":"SUCCESS",
   "code":0,
   "report":{
      "name":"Descrição do nome da empresa",
      "variables":[
         {
            "variable":"atributo_1",
            "value":"Conteudo da variavel"
         },
         {
            "variable":"atributo_2",
            "value":"Conteudo da variavel"
         },
         {
            "variable":"atributo_3",
            "value":"Conteudo da variavel"
         }
      ]
   }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scorepositivo.com.br/pessoa-juridica/relatorios-para-cnpj/variaveis-de-credito.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
